// creates a comment to reply on its own posts

// external modules
const yaml = require('yamljs')

const messages = yaml.load('messages.yaml')

function motd () {
  return messages[Math.floor(Math.random() * messages.length)]
}

function createComment (extra) {
  return `Originally posted by /u/${extra.author.name} at ${new Date(extra.timestamp * 1000)}

---

I'm a bot, and [here](https://github.com/deesnow97/loljs-bot) is my source. Also, ${motd()}`
}

module.exports = createComment
