// require env variables
require('./env')

// external modules
const process = require('process')
const Snoowrap = require('snoowrap')

// internal modules
const packageJson = require('./package.json')

const r = new Snoowrap({
  userAgent: 'loljs-bot v' + packageJson.version,
  clientId: process.env.REDDIT_CLIENT_ID,
  clientSecret: process.env.REDDIT_CLIENT_SECRET,
  username: process.env.REDDIT_USERNAME,
  password: process.env.REDDIT_PASSWORD
})

module.exports = r
